
Redmine - Defect #3918

Error When Clicking Date range On All Project Time Report

2009-09-24 21:16 - Carlo Camerino

Status: Closed Start date: 2009-09-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

This can be accessed in http://&lt;redmine_url&gt;/time_entries/report

This only happens when I choose date range but when i use a preset time like this week or last week no error happens. when i

choose however specific dates an error happens.

Here's the error

ActionController::MethodNotAllowed

 Only get requests are allowed.

RAILS_ROOT: /home/carloc/redmine_trunk/redmine

Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/recognition_optimisation.rb:64:in `recognize_path'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:441:in `recognize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:436:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:87:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/head.rb:9:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/session/cookie_store.rb:93:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:106:in `call'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:46:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `each'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:46:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'
/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:13:in `run'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/commands/server.rb:111

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

script/server:3

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/recognition_optimisation.rb:64:in `recognize_path'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:441:in `recognize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:436:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:87:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/head.rb:9:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/session/cookie_store.rb:93:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:106:in `call'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:46:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `each'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:46:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:13:in `run'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/commands/server.rb:111

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

script/server:3

Request

Parameters:

{"columns"=>"month",

"period"=>"all",

"criterias"=>[""],

"from"=>"2008-09-21",

"to"=>"2009-09-24",

"period_type"=>"1"}

Show session dump

Response

Headers:

2025-05-02 2/4



{"Content-Type"=>"",

"Cache-Control"=>"no-cache",

"Allow"=>"GET"}

And here's the framework trace

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/recognition_optimisation.rb:64:in `recognize_path'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:441:in `recognize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/routing/route_set.rb:436:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:87:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/head.rb:9:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/session/cookie_store.rb:93:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.4/lib/action_controller/dispatcher.rb:106:in `call'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:46:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `each'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/urlmap.rb:40:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:46:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.0/lib/rack/handler/webrick.rb:13:in `run'

/home/carloc/.gem/ruby/1.8/gems/rails-2.3.4/lib/commands/server.rb:111

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

script/server:3

Related issues:

Related to Redmine - Defect #2935: Timelog detail loose issue filter passing ... Closed 2009-03-09

Associated revisions

Revision 2902 - 2009-09-25 02:39 - Eric Davis

Fixed a bug where the form would POST causing a routing error. (#3918)

History

#1 - 2009-09-25 02:36 - Eric Davis

- Category set to Time tracking

- Status changed from New to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed
Fixed in r2902, thank you for the bug report
